Bug 21448 - %post --nochroot not well documented
Summary: %post --nochroot not well documented
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tammy Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-28 20:33 UTC by Matt Domsch
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 23:24:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-11-28 20:33:53 UTC
The kickstart documentation that covers the --nochroot option to %post 
never provides an example of where to put that flag.  This has caused some 
customer concern.  Please add an example of how the --nochroot and --
interpreter options are used.

From:	Stephen Bolinger [mailto:stephen@bigfish.com]
Sent:	Thursday, November 23, 2000 2:00 AM
To:	Matt_Domsch@exchange.dell.com
Subject:	Thanks for your input!


Matt,
For the last three days, I've been attempting to configure a RedHat 
Kickstart installation for many servers.
I thought the "-nochroot" option was what was hindering my progress, but I 
could find neither an example using it, nor any specific documentation 
(including How-to's, walk throughs, etc...) detailing the option's 
placement.
Tonight, I found your response to someone's question regarding the 
placement of the "-nochroot" option in the ks.cfg file.  This made all the 
difference, now it all works.  I just wanted to thank you and let you know 
that your post helped more than the person who asked.  Thanks!
Sincerely,
Stephen Bolinger

Comment 1 Tammy Fox 2001-02-02 23:24:02 UTC
Thanks for this suggestion. I added the following examples:

%post --interpreter /usr/bin/perl

# replace /etc/HOSTNAME
open(HN, ">HOSTNAME");
print HN "1.2.3.4 an.ip.address\n";

%post --nochroot
cp /etc/resolv.conf /mnt/sysimage/etc/resolv.conf



Note You need to log in before you can comment on or make changes to this bug.